Bug 187505 - extra output during boot
extra output during boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-31 08:41 EST by Roman Mäder
Modified: 2014-03-16 22:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 17:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Mäder 2006-03-31 08:41:23 EST
Description of problem: a suspected typo in init.d/netfs causes extra output
during booting.


Version-Release number of selected component (if applicable): initscripts-8.31.1-1


How reproducible: always, at boot


Steps to Reproduce:
1. reboot machine without "quiet" to watch the initscripts feedback on console
  
Actual results:
if no lvm volumes exist, prints "No volume groups found" and an extra newline


Expected results: no extra output


Additional info:
this is most likely a simple typo in init.d/netfs on the line:

		if /sbin/lvm.static vgscan > /dev/null 1>&1 ; then

I *assume* this should be "2>&1" to suppress things like "No volume groups
found" when booting.
Comment 1 Bill Nottingham 2006-04-03 17:29:36 EDT
Fixed in CVS, thanks!

Note You need to log in before you can comment on or make changes to this bug.